.. include:: check.rst

=======
ctype.h
=======

Functions
=========

.. list-table::
  :widths: auto
  :align: center
  :header-rows: 1

  * - Function
    - Implemented
    - C23 Standard Section
    - POSIX.1-2017 Standard Section
  * - isalnum
    - |check|
    - 7.4.1.1
    -
  * - isalpha
    - |check|
    - 7.4.1.2
    -
  * - isblank
    - |check|
    - 7.4.1.3
    -
  * - iscntrl
    - |check|
    - 7.4.1.4
    -
  * - isdigit
    - |check|
    - 7.4.1.5
    -
  * - isgraph
    - |check|
    - 7.4.1.6
    -
  * - islower
    - |check|
    - 7.4.1.7
    -
  * - isprint
    - |check|
    - 7.4.1.8
    -
  * - ispunct
    - |check|
    - 7.4.1.9
    -
  * - isspace
    - |check|
    - 7.4.1.10
    -
  * - isupper
    - |check|
    - 7.4.1.11
    -
  * - isxdigit
    - |check|
    - 7.4.1.12
    -
  * - tolower
    - |check|
    - 7.4.2.1
    -
  * - toupper
    - |check|
    - 7.4.2.2
    -
